package net.wanji.web.mapper.scheme;

import net.wanji.web.dto.RunningPlanDTO;
import net.wanji.web.po.scheme.CrossPlanPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 计划基础信息;(t_base_cross_plan)表数据库访问层
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface CrossPlanMapper {

    void insertOne(CrossPlanPO crossPlanPO);

    void deleteByCrossId(@Param("crossId") String crossId);

    CrossPlanPO selectByCrossIdAndName(@Param("crossId") String crossId,
                                       @Param("planName") String planName);

    List<RunningPlanDTO.DailyPlanListElement> selectDailyPlanList(String crossId);

    CrossPlanPO selectById(@Param("planId") Integer planId);

    List<CrossPlanPO> selectByCrossId(String crossId);
}
