package net.wanji.web.mapper.scheme;

import net.wanji.web.po.scheme.CrossSchedulesPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 调度基础信息;(t_base_cross_schedules)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface CrossSchedulesMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertOne(CrossSchedulesPO crossSchedulesPO);

    List<CrossSchedulesPO> selectByCrossId(@Param("crossId") String crossId);

    CrossSchedulesPO selectByCrossIdAndScheduleNo(@Param("crossId") String crossId,
                                                  @Param("scheduleNo") String scheduleNo);

    void resetStatus(String crossId);

    void updateStatus(Integer scheduleId);

    CrossSchedulesPO selectById(Integer scheduleId);
}
