package net.wanji.web.mapper.scheme;

import net.wanji.web.po.scheme.CrossSchemePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 方案基础信息;(t_base_cross_scheme)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface CrossSchemeMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossSchemePO> entities);

    Integer selectIdByCrossIdAndSchemeNo(@Param("crossId") String crossId, @Param("schemeNo") String schemeNo);

    void updateCoordPhase(@Param("crossId") String crossId,
                          @Param("schemeNo") String schemeNo,
                          @Param("phaseId") Integer phaseId);

    List<CrossSchemePO> selectByCrossId(@Param("crossId") String crossId);

    Integer selectIdByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                           @Param("schemeName") String schemeName);

    CrossSchemePO selectByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                               @Param("schemeName") String schemeName);

    CrossSchemePO selectById(@Param("id") Integer id);

    void insertOne(CrossSchemePO crossSchemePO);

    void update(CrossSchemePO crossSchemePO);

    Set<Integer> selectIdsByCrossId(String crossId);

    void deleteByIds(Set<Integer> existedIds);

    void resetStatus(String crossId);

    void updateStatus(Integer schemeId);
}
